Package org.optaplanner.benchmark.impl.loader

## Class InstanceProblemProvider<Solution_>

- java.lang.Object
- - org.optaplanner.benchmark.impl.loader.InstanceProblemProvider<Solution_>

- All Implemented Interfaces:
    `ProblemProvider<Solution_>`

      public class InstanceProblemProvider<Solution_>
      extends Object
      implements ProblemProvider<Solution_>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InstanceProblemProvider​(String problemName, SolutionDescriptor<Solution_> solutionDescriptor, Solution_ problem)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `String` | `getProblemName()` |
    `int` | `hashCode()` |
    `Solution_` | `readProblem()` |
    `String` | `toString()` |
    `void` | `writeSolution​(Solution_ solution, SubSingleBenchmarkResult subSingleBenchmarkResult)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InstanceProblemProvider

          public InstanceProblemProvider​(String problemName,
                                         SolutionDescriptor<Solution_> solutionDescriptor,
                                         Solution_ problem)

  - ### Method Detail

    - #### getProblemName

          public String getProblemName()

      Specified by:
        `getProblemName` in interface `ProblemProvider<Solution_>`
      Returns:
        never null

    - #### readProblem

          public Solution_ readProblem()

      Specified by:
        `readProblem` in interface `ProblemProvider<Solution_>`
      Returns:
        never null

    - #### writeSolution

          public void writeSolution​(Solution_ solution,
                                    SubSingleBenchmarkResult subSingleBenchmarkResult)

      Specified by:
        `writeSolution` in interface `ProblemProvider<Solution_>`
      Parameters:
        `solution` - never null
        `subSingleBenchmarkResult` - never null

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`